# API Reference

This section documents the Python API for `rclib`. The C++ core is wrapped efficiently to provide a seamless experience.

## Reservoirs

::: rclib.reservoirs
    options:
        members:
            - RandomSparse
            - Nvar

## Readouts

::: rclib.readouts
    options:
        members:
            - Ridge
            - Rls
            - Lms

## Model

::: rclib.model
    options:
        members:
            - ESN
